Bug 221241 - multimedia/motion Fix ioctl sign-extension warning on FreeBSD
Summary: multimedia/motion Fix ioctl sign-extension warning on FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2017-08-05 09:08 UTC by peo
Modified: 2017-08-17 21:43 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
patch to fix ioctl sign-extension warning (385 bytes, text/plain)
2017-08-05 09:08 UTC, peo
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description peo 2017-08-05 09:08:50 UTC
Created attachment 185039 [details]
patch to fix ioctl sign-extension warning

As reported by https://github.com/nachtbraker
Apparently the file name is changed from video_v4l2.c to video2.c
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 05:58:18 UTC
Comment on attachment 185039 [details]
patch to fix ioctl sign-extension warning

Port has no maintainer, implicit approval (pending committer review/QA)
Comment 2 commit-hook freebsd_committer 2017-08-13 22:30:02 UTC
A commit references this bug:

Author: ultima
Date: Sun Aug 13 22:29:42 UTC 2017
New revision: 447919
URL: https://svnweb.freebsd.org/changeset/ports/447919

Log:
  * Bump Revision to fix ioctl sign-extension warning
  * Cleanup Makefile

  PR:		221241
  Submitted by:	<peo@bsdlabs.com>
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  MFH:		2017Q3
  Differential Revision:	https://reviews.freebsd.org/D11993

Changes:
  head/multimedia/motion/Makefile
  head/multimedia/motion/files/patch-video2.c
Comment 3 Richard Gallamore freebsd_committer 2017-08-13 22:37:25 UTC
Committed, thanks!
Comment 4 Richard Gallamore freebsd_committer 2017-08-13 22:37:55 UTC
Reopening for pending MFC.
Comment 5 commit-hook freebsd_committer 2017-08-17 21:18:50 UTC
A commit references this bug:

Author: ultima
Date: Thu Aug 17 21:18:18 UTC 2017
New revision: 448193
URL: https://svnweb.freebsd.org/changeset/ports/448193

Log:
  MFH: r447919

  * Bump Revision to fix ioctl sign-extension warning
  * Cleanup Makefile

  PR:		221241
  Submitted by:	<peo@bsdlabs.com>
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11993

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/multimedia/motion/Makefile
  branches/2017Q3/multimedia/motion/files/patch-video2.c
Comment 6 Richard Gallamore freebsd_committer 2017-08-17 21:43:21 UTC
MFH complete, thanks!